Hooks:PostHook(WeaponFactoryTweakData, "init", "noveske_navy_attachments_factorytweakdata_init", function(self)


	local custom_sight_id = "wpn_fps_upg_o_aimpoint_h1_unity"
	local based_on_id = "wpn_fps_upg_o_specter"
	local offset = Vector3(0, 5, -2.19)
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			wpn_id.translation = (wpn_id.translation + offset)
	end
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
			for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					wpn_id.translation = (wpn_id.translation + offset)
				end
			end
		end
	end 


	if BeardLib.Utils:FindMod("M4 URGI USASOC") then
		local weapon_id = "wpn_fps_ass_m4_usasoc"
		local weapon_uses_parts_list = {
										"wpn_fps_upg_magwell_hrf_rcm",
										"wpn_fps_upg_charging_handle_super_badass"

										}
		for _,part_id in ipairs( weapon_uses_parts_list ) do
			if self[weapon_id] then
				table.insert( self[weapon_id].uses_parts, part_id )
			end
		end
	end			

	if BeardLib.Utils:FindMod("JW2 TTI TR1") then
		local weapon_id = "wpn_fps_ass_tti_tr1"
		local weapon_uses_parts_list = {
										"wpn_fps_upg_magwell_hrf_rcm",


										}
		for _,part_id in ipairs( weapon_uses_parts_list ) do
			if self[weapon_id] then
				table.insert( self[weapon_id].uses_parts, part_id )
			end
		end
	end			
	
	if BeardLib.Utils:FindMod("L119A2") then
		local weapon_id = "wpn_fps_ass_l119a2"
		local weapon_uses_parts_list = {
										"wpn_fps_upg_magwell_hrf_rcm"

										}
		for _,part_id in ipairs( weapon_uses_parts_list ) do
			if self[weapon_id] then
				table.insert( self[weapon_id].uses_parts, part_id )
			end
		end
	end		

	if BeardLib.Utils:FindMod("L403A1") then
		local weapon_id = "wpn_fps_ass_l403a1"
		local weapon_uses_parts_list = {
										"wpn_fps_upg_magwell_hrf_rcm"

										}
		for _,part_id in ipairs( weapon_uses_parts_list ) do
			if self[weapon_id] then
				table.insert( self[weapon_id].uses_parts, part_id )
			end
		end
	end		
	
	if BeardLib.Utils:FindMod("AR-15 410 Shotgun") then
		local weapon_id = "wpn_fps_shot_omni"
		local weapon_uses_parts_list = {
										"wpn_fps_upg_magwell_hrf_rcm"

										}
		for _,part_id in ipairs( weapon_uses_parts_list ) do
			if self[weapon_id] then
				table.insert( self[weapon_id].uses_parts, part_id )
			end
		end
	end		
	
	if BeardLib.Utils:FindMod("AR-47") then
		local weapon_id = "wpn_fps_ass_ar47"
		local weapon_uses_parts_list = {
										"wpn_fps_upg_magwell_hrf_rcm"

										}
		for _,part_id in ipairs( weapon_uses_parts_list ) do
			if self[weapon_id] then
				table.insert( self[weapon_id].uses_parts, part_id )
			end
		end
	end		

	if BeardLib.Utils:FindMod("458 SOCOM AR") then
		local weapon_id = "wpn_fps_snp_sierra458"
		local weapon_uses_parts_list = {
										"wpn_fps_upg_magwell_hrf_rcm"

										}
		for _,part_id in ipairs( weapon_uses_parts_list ) do
			if self[weapon_id] then
				table.insert( self[weapon_id].uses_parts, part_id )
			end
		end
	end		
	
	if BeardLib.Utils:FindMod("PAYDAY 3 CAR-4") then
		local weapon_id = "wpn_fps_ass_car4"
		local weapon_uses_parts_list = {
										"wpn_fps_upg_magwell_hrf_rcm"

										}
		for _,part_id in ipairs( weapon_uses_parts_list ) do
			if self[weapon_id] then
				table.insert( self[weapon_id].uses_parts, part_id )
			end
		end
	end		


	
	
	
	
	
	
	
	
	
	
end)